/**
 * Config type use for the app internal
 */
export interface Config {
    makescriptSecretURL: string;
    scriptsRepoURL: string;
    namespace: string;
    workspace: string;
    /**
     * Makescript agent module name, be used for type validation.
     * Usually its value should be "@makeflow/makescript-agent".
     */
    agentModule: string | undefined;
    proxy: {
        url: string;
        username: string;
        password: string;
    } | undefined;
}
/**
 * The config type use for config file
 */
export interface ConfigFile {
    'makescript-secret-url': string;
    'scripts-repo-url': string;
    namespace: string;
    proxy: {
        url: string;
        username: string;
        password: string;
    } | undefined | null;
}
export declare function generateYamlConfig(config: ConfigFile): string;
export declare function transformConfig(config: ConfigFile, workspace: string): Config;
